#
# spec file for package mrtg (Version 2.16.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           mrtg
BuildRequires:  dos2unix gd-devel libjpeg-devel libpng-devel xorg-x11 xorg-x11-devel
Version:        2.16.2
Release:        37.4
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Productivity/Networking/Diagnostic
License:        GPL v2 or later
URL:            http://www.mrtg.org
Summary:        The Multirouter Traffic Grapher
Source:         %{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-icons.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A tool to visualize network traffic via a Web page.



Authors:
--------
    Tobias Oetiker <oetiker@ee.ethz.ch>
    Dave Rand <dlr@bungi.com>

%prep
%setup -q
%patch0
rm -rf contrib/mrtgindex.cgi
grep -rl "/usr/local/bin/perl" contrib | xargs sed -i -e "s@/usr/local/bin/perl@/usr/bin/perl@"
#contrib contains binaries (ie. zipfile) which we cannot convert,
#hopefully file utility seems to mark all the text files clearly
find contrib -type f | xargs file | grep -i text | cut -d: -f1 | xargs dos2unix
find contrib -type f | xargs chmod 644

%build
%define iconsdir /srv/www/icons
%{suse_update_config}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS -Wall -pipe" \
CXXFLAGS="$RPM_OPT_FLAGS -Wall -fmessage-length=0" \
	./configure \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--infodir=%{_infodir} \
	--datadir=%{_datadir} \
	--mandir=%{_mandir} \
	--with-rrd \
	--with-gd-inc=/usr/include/gd
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{iconsdir}
install -m 644 doc/mrtg-[lmr].png $RPM_BUILD_ROOT%{iconsdir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/apache2/icons
install -m 644 doc/mrtg-[lmr].png $RPM_BUILD_ROOT%{_datadir}/apache2/icons
rm -rf $RPM_BUILD_ROOT/usr/share/doc
rm -rf $RPM_BUILD_ROOT/usr/share/mrtg2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGES COPYING COPYRIGHT README THANKS contrib doc/*.{pod,txt,png}
%doc %{_mandir}/man?/*
%{_bindir}/*
%{iconsdir}
%{_prefix}/lib/mrtg2
%{_datadir}/apache2

%changelog
* Tue Aug 28 2007 anicka@suse.cz
- do not apply dos2unix on binaries (fixes #303651)
* Fri May 25 2007 ro@suse.de
- fix some rpmlint complaints
* Fri May  4 2007 anicka@suse.cz
- update 2.15.2
  * Improve parsing reliability of indexmaker
  * Fixed deadhost detection in mrtg
  * added config option noHC for boxes that don't have HC counters
  but run SNMPv2/v3
  * Updated Net_SNMP_util module (error messages)
  * Updated Makefiles for Win32 and Netware
  * New Netware version of rateup.nlm
  * make cfgmaker detect broken snmpv1 counters more reliably
  * latest Net_SNMP_util.pm with many small fixes
  * more cfgmaker smarts and documentation for snmpv3
  * be happy even if no threshmail sending is configured
  * add install target for traffic-summer
  * fix mrtg-traffic-sum default catch expression to be
  in sync with docs
* Wed Dec 13 2006 anicka@suse.cz
- update to 2.15.0
  * Free positioning of a generated ifIndex in the OID string using·
  the magic IndexPOS keyword
  * When doing threshold checking with rrdtool, there was a very
  expensive 'getting the data back with rrdinfo and rrdfetch' cycle
  after each rrdupdate.  with rrdtool 1.2 and the updatev function
  this is not necessary anymore
  * Threshold Un-Borken Messages will only be generated when the
  value is 10%% away from the threshold. Configurable via ThreshHyst
  * New function thresholdmail lets you send an email when a threshold
  is broken. This feature talks directly to the mailserver and does
  not require any external programs.
  * New template writers helper function in cfgmaker - oid_pick. It
  tests if a device is willing to supply information regarding a
  particular oid. This makes template writing much more plesant.·
  * added new tool mrtg-traffic-sum to build traffic stats based on
  the content of your mrtg log (not rrd) files.
  * mrtg running with rrdtool can now do sub-minute resolution if the
  interval is specified like that: 0:30
  * new debug option 'prof' to see how long rrdtool spends on its
  writes
  * fixed snmpv3 support in cfgmaker
* Thu Oct  5 2006 anicka@suse.cz
- update to 2.14.7
  * Added expscale option (opposite of logscale) to emphasize
  the top end of the scale
  * bugfixes
* Mon Jul 17 2006 anicka@suse.cz
- update to 2.14.5
  * allow - in oid name
  * bugfixes
* Wed May 24 2006 anicka@suse.cz
- update to 2.14.3
  - many small fixes and improvements
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jul 13 2005 mjancar@suse.cz
- update to 2.12.2
* Mon Feb  7 2005 mjancar@suse.cz
- update to 2.11.1
* Fri Aug 13 2004 mjancar@suse.cz
- update to 2.10.15
* Thu May 13 2004 mjancar@suse.cz
- add contrib directory to %%%%doc (#40284)
* Mon Mar  8 2004 pth@suse.de
- Don't use _libdir as mrtg only installs perl scripts in there
  and mrtg, cfgmaker and indexmaker are not prepared to deal
  with a configurable lib directory (bugzilla #35456).
* Thu Feb 26 2004 mjancar@suse.cz
- update to 2.10.13
* Thu Oct 16 2003 mjancar@suse.cz
- update to 2.10.5
* Wed Aug 20 2003 mjancar@suse.cz
- require the perl version we build with
* Fri Jun 13 2003 mjancar@suse.cz
- fix filelist
* Tue May 27 2003 mjancar@suse.cz
- remove unpackaged files from buildroot
* Tue Apr 22 2003 vbobek@suse.cz
- update to version 2.9.29
  * bugfixes
  * small improvements
- removed obsolete fixes of icon names from the main patch
* Wed Mar 12 2003 vbobek@suse.cz
- fixed missing icons for apache2
* Mon Feb 17 2003 ro@suse.de
- really removed traces of README.SuSE
* Sat Feb 15 2003 ro@suse.de
- fixed specfile
* Fri Feb 14 2003 vbobek@suse.cz
- updated to version 2.9.25:
  * updated squid monitoring example
  * fixed indexmaker
  * cosmetic tweaks for layout
  * bug fixes
- removed obsolete README.SuSE
- fixed rights for doc files to 644
* Fri Aug 16 2002 postadal@suse.cz
- Upgrade to version 2.9.22
  * removed VERSION for ISA arry in MRTG_lib.pm ... it has no reason to be
  there, and perl 5.8 complains [Bug #17701]
  * fix for rateup rounding problems ...
* Fri Aug  9 2002 ja@suse.cz
- fixed icons instalation into apache icons directory. Mrtg and
  indexmaker can now set correct path to icons dir.
* Fri Aug  9 2002 postadal@suse.cz
- Upgrade to version 2.9.21.
* Wed May  8 2002 postadal@suse.cz
- fixed lib paths (lib64)
* Mon Feb 18 2002 tcrhak@suse.cz
- applied a patch by Klaus.Schmidinger@cadsoft.de fixing rateup.c
  to enable the usage or YTicsFactor-Parameters; bug #12847
- used %%{_libdir} macro
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Sep 19 2001 adostal@suse.cz
- create README.SuSE (fix for outputs images)
* Mon Aug  6 2001 adostal@suse.cz
- update to version 2.9.17
* Thu Mar 22 2001 ro@suse.de
- changed neededforbuild to freetype2
* Mon Feb 26 2001 cihlar@suse.cz
- update to version 2.9.10
- install data to /usr/lib/mrtg2 [#6511]
* Sat Dec  2 2000 smid@suse.cz
- new version 2.9.4
* Tue Nov 21 2000 ro@suse.de
- compile fix
* Wed Nov 15 2000 ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Thu Jun  8 2000 cihlar@suse.cz
- uncomment %%clean
* Wed May 10 2000 smid@suse.cz
- upgrade to 2.8.12
- buildroot added
* Mon Oct 11 1999 ro@suse.de
- update to 2.8.8
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep  9 1999 bs@suse.de
- fixed call of Check at the end of %%install section
* Wed Nov 18 1998 ro@suse.de
- use gdlib: it's been here as separate package
- adapted paths to perl5.00502
* Mon Mar  2 1998 florian@suse.de
- update to version 2.5.2
* Mon Feb  9 1998 florian@suse.de and ch@suse.de
- new package (v2.5.1)
